Subject: Re: bug#33255: 27.0.50; expand-file-name: default directory expanded twice if relative

From: Glenn Morris <[email-masked]>
Date: Sun, 04 Nov 2018 19:58:01 -0500

Noam Postavsky wrote:

> immerrr again <[email-masked]> writes:
>
>> I have recently tried to play with a clean .emacs.d directory by setting
>> HOME=clean/home/dir,

I think a non-absolute HOME is a user error.
Eg cd $HOME may then not be idempotent.
I would use $PWD/clean/home/dir.

> I think it would make sense for Emacs to expand HOME against the current
> directory when it starts up, if HOME is relative.  

I would rather see Emacs abort with an error.
Otherwise you have to eg fix up process-environment too, else child
processes may behave oddly.